"...the trustAnchors parameter must be non-empty..." on our fresh Ubuntu 14

michaelhusar
Contributor II

Today we startet installing on a fresh Ubuntu 14 LTS
and followed the steps in the guide. Basically:

apt-get install software-properties-common
sudo add-apt-repository ppa:openjdk-r/ppa
sudo apt-get update
sudo apt-get install openjdk-8-jdk
apt-get install mysql-server-5.6
sh jssinstaller.run

We ended up with Java 8 and Tomcat 8 and MySQL 5.6

and the error "...the trustAnchors parameter must be non-empty..."

We found out that somehow installing Java JDK did not correctly link the cacerts

/var/lib/dpkg/info/ca-certificates-java.postinst configure

did fix the issue - seems to be already reported as an ubuntu bug
Thank to https://github.com/docker-library/openjdk/issues/19

Hope that helps!

1 REPLY 1

aschultehsd
New Contributor

You make my day! Thanks!79d0aec46fdd49c68523685aa09ded41